Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.midi
Interface Transmitter

    public interface Transmitter

A `Transmitter` sends ``MidiEvent`` objects to one or more ``Receivers``. Common MIDI transmitters include sequencers and MIDI input ports.

See Also:
  `Receiver`

Method Summary
`void` | `close()` Indicates that the application has finished using the transmitter, and that limited resources it requires may be released or made available.
`Receiver` | `getReceiver()` Obtains the current receiver to which this transmitter will deliver MIDI messages.
`void` | `setReceiver(Receiver receiver)` Sets the receiver to which this transmitter will deliver MIDI messages.

Method Detail

### setReceiver

    void setReceiver(Receiver receiver)

  Sets the receiver to which this transmitter will deliver MIDI messages. If a receiver is currently set, it is replaced with this one.

  Parameters:
    `receiver` - the desired receiver.

### getReceiver

    Receiver getReceiver()

  Obtains the current receiver to which this transmitter will deliver MIDI messages.

  Returns:
    the current receiver. If no receiver is currently set, returns `null`

### close

    void close()

  Indicates that the application has finished using the transmitter, and that limited resources it requires may be released or made available.

  If the creation of this `Transmitter` resulted in implicitly opening the underlying device, the device is implicitly closed by this method. This is true unless the device is kept open by other `Receiver` or `Transmitter` instances that opened the device implicitly, and unless the device has been opened explicitly. If the device this `Transmitter` is retrieved from is closed explicitly by calling `MidiDevice.close`, the `Transmitter` is closed, too. For a detailed description of open/close behaviour see the class description of `MidiDevice`.

  See Also:
    `MidiSystem.getTransmitter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.